﻿using AcademicProgressBusinessLogic.BusinessLogic;
using AcademicProgressBusinessLogic.BusinessLogics;
using AcademicProgressBusinessLogic.Interfaces;
using AcademicProgressDatabaseImplementation.Implementations;
using ModuleTools.BusinessLogics;
using ModuleTools.Interfaces;
using System;

namespace AcademicProgressDatabaseImplementation
{
    public class AcademicProgressImplementationExtensions : IImplementationExtension
    {
        public void RegisterServices()
        {
            DependencyManager.Instance.RegisterType<IStudentAcademicProgressService, StudentAcademicProgressService>();
            DependencyManager.Instance.RegisterType<ReportLogic>();


        }
    }
}
